[libclang] Add support for checking abstractness of records
ClosedPublic

Authored by jklaehn on Aug 21 2017, 5:18 AM.

Details

Summary

This patch allows checking whether a C++ record declaration is abstract through libclang and clang.cindex (Python).

Diff Detail

Repository
rL LLVM
jklaehn created this revision.Aug 21 2017, 5:18 AM
jklaehn updated this revision to Diff 126298.Dec 10 2017, 12:15 PM

ping (rebased)

This revision is now accepted and ready to land.Dec 11 2017, 1:17 PM

LGTM

Thanks! Can you submit this for me? (I do not have commit access yet.)

Sure, I'll do it today.

This revision was automatically updated to reflect the committed changes.

Thanks! However, compared to diff 126298 (https://reviews.llvm.org/differential/diff/126298/), there seems to be duplication in the committed change (maybe some artifacts due to rebasing/merging?). Should I submit a follow-up patch to fix this?

cfe/trunk/bindings/python/clang/cindex.py
1488

duplicate

3420

duplicate

cfe/trunk/bindings/python/tests/cindex/test_cursor.py
289

duplicate

Thanks! However, compared to diff 126298 (https://reviews.llvm.org/differential/diff/126298/), there seems to be duplication in the committed change (maybe some artifacts due to rebasing/merging?). Should I submit a follow-up patch to fix this?

Hmm, I think the patch applied incorrectly on my side. I can fix this.

Fixed in r320766. Sorry about that!